	.386
	.model	use32 small

	extrn exp : proc,allerr : proc
	public	_tanh
	.data
nm	db	"tanh",0
	.code

_tanh:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	qword ptr [ecx]
	fchs
	call	exp
	fld	qword ptr [ecx]
	call	exp
	fld	st(0)
	fsub	st(0),st(2)
	fxch	st(1)
	fadd	st(0),st(2)
	fdivp	st(1)
	fxch	st(1)
	fcomp	st(1)
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end